# DUEL COMMANDER BANLIST
A new service to help developpers to keep an up-to-date MTGDC data.

## THE SOLUTION TO KEEP THE PROJECT UPDATED
* Each banlist is stored as `JSON` file of condensed data from official source (in `mtgdc_banlist/banlists` folder)
* Static files generated by running a script (`python mtgdc_banlist`) which uses banlists files to create the main part of the document, and adds html header/footer from static files (`static/banlist_html_header.html` and `static/banlist_html_footer.html`)

### BANLIST FILE FORMAT
File name must be `%Y-%m-%d.json` format with the following template:
```json
[
    {
        "date": "2015-01-31",
        "special": "",
        "newly_banned_as_commander": [],
        "newly_unbanned_as_commander": [],
        "newly_banned_in_deck": [],
        "newly_unbanned_in_deck": [],
        "explanations": {}
    }
]
```

### HOW TO ADD NEW BANLIST
1. Put banlist file `%Y-%m-%d.json` file into `./banlists`
1. Re-run python `python mtgdc_banlist` with options `--compile-html`, `--compile-json` or `--compile-both`

*Works similar to edit/delete a banlist.*

## REQUIREMENTS
* Python (v3.10+)

## INSTALLATION
```bash
python3 -m venv venv
source venv/bin/activate
pip install mtgdc_banlist

python mtgdc_banlist --compile-both
```

## EXAMPLE
Hosted examples of generated static html from the repo:
* [Barrin's Codex](https://banlist-beta.barrins-codex.org)
